# -*- rpm-spec -*-
%define module_name	psb
%define module_version  4.41.1
%define real_version	4.41.1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt1
Provides: kernel-source-%module_name-%module_version
Summary: Linux Poulsbo chipset series module sources
License: GPLv2
Group: Development/Kernel
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>
BuildArch: noarch

Source0: %name-%real_version.tar

# kernel 2.6.29 build patch, from mandriva
Patch0:         psb-kmd-4.34-current_euid.patch
# kernel 2.6.30 build patch, by me
Patch1:         psb-kmod-4.41.1_irqreturn.patch
# kernel 2.6.30 build patch, by me (mandriva has the same patch
# independently arrived at, they call it dev_set_name.patch)
Patch2:         psb-kmod-4.41.1_busid.patch
# kernel 2.6.30 build patch, from ubuntu via mandriva
Patch3:         psb-kernel-source-4.41.1-agp_memory.patch
# rename drm.ko to drm-psb.ko so we don't get dependency ickiness due
# to competition with the 'real' drm.ko (from mandriva)
Patch4:         psb-kernel-source-4.41.1-drmpsb.patch
# define intel framebuffer driver (fixes a build problem)
# (from mandriva)
Patch5:         psb-kernel-source-4.41.1-i2c-intelfb.patch
# fix build for 2.6.32 (from gentoo via mandriva)
Patch6:         psb-kernel-source-4.41.1-2.6.32.patch


ExclusiveArch: i586 x86_64
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel. 

%prep
%setup -c -q
%patch0 -b .build
%patch5 -b .intelfb
%patch1 -b .irqreturn
%patch2 -b .busid
%patch3 -b .agp
%patch4 -b .drmpsb
%patch6 -b .2632


%install
%__mkdir_p %kernel_srcdir
%__tar jcf %kernel_srcdir/%name-%version.tar.bz2 %name-%version/


%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2


%changelog
* Fri Jun 04 2010 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.41.1-alt1
- initital build

